import { service_city as requestCity } from './index'
import { service as request } from './index'

// 经营主体
export function GetJyztSta() {
  return requestCity({
    url: `/getAllArea?quxian=崇明区`,
    method: "get",
  })
}

// 土地类型统计
export function GetLandSta(is_all, town, village) {
  return request({
    url: `/nyd/get_land_statistics`,
    method: "get",
    params: {
      is_all,town,village
    }
  })
}

// 镇村列表
export function GetTownList(level, town) {
  return request({
    url: `/nydstat/get_town_and_village_info`,
    method: "get",
    params: {
      level,town
    }
  })
}

export function GetLandStatistics(is_all, town, village) {
  return request({
    url: `/nyd/get_land_statistics`,
    method: "get",
    params: {
      is_all, town, village
    }
  })
}

export function GetLandStatisticsExport(is_all, town, village) {
  return request({
    url: `/nyd/export`,
    method: "get",
    params: {
      is_all, town, village
    }
  })
}

export function GetAreaRangeStatistics(is_all, town, village) {
  return request({
    url: `/nyd/get_area_distri_info`,
    method: "get",
    params: {
      is_all, town, village
    }
  })
}

export function GetZhutiList(page_num, page_size, town, village, zt_name, zt_type) {
  return request({
    url: `/nydstat/get_zhuti_list`,
    method: "get",
    params: {
      page_num, page_size, town, village, zt_name, zt_type
    }
  })
}

export function GetZhutiListExport(town, village, zt_name, zt_type) {
  return request({
    url: `/nydstat/export`,
    method: "get",
    params: {
      town, village, zt_name, zt_type
    }
  })
}

export function GetHistoryLand() {
  return request({
    url: `nyd/get_history_land_statistics`,
    method: "get"
  })
}

//智慧速测-检测合格率和总数统计
export function GetPassRateAndCount() {
  return request({
    url: 'http://101.132.114.72:8080/cmnw_trans/trans/zhsc/statistics',
    method: 'get'
  })
}

//当年的检测项目分类统计
export function GetProjectStatictics(){
  return request({
    url: 'http://101.132.114.72:8080/cmnw_trans/trans/zhsc/statistics_checkProject',
    method: 'get'
  })
}

//实时速测数据情况
export function GetActualData(params) {
  return request({
    url: 'http://101.132.114.72:8080/cmnw_trans/trans/zhsc/list',
    method: 'get',
    params: {
      ...params
    }
  })
}
